Approves an Approval. This is used to update the ReviewerResponse of the requesting user with a Response of APPROVED. If this is the last required reviewer response, this will also complete the Approval and set the Status to APPROVED.
HTTP request
POST https://www.googleapis.com/drive/v3/files/{fileId}/approvals/{approvalId}:approve
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
fileId |
Required. The ID of the file the Approval is on. |
approvalId |
Required. The ID of the Approval to approve. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "message": string } |
| Fields | |
|---|---|
message |
Optional. A message to accompany the reviewer response on the Approval. This message will be included in notifications for the action and in the Approval activity log. |
Response body
If successful, the response body contains an instance of Approval.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/drive.metadata
Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.